// creator  : weidu.exe (version 23600)
// argument : SCHLUM.DLG
// game     : .
// source   : ./override/SCHLUM.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~SCHLUM~

IF ~  True()
~ THEN BEGIN 0 // from:
  SAY #19917 /* ~Halllt, my chilldren— We have guesssts among uss... Ahhh, yess, I can ssense you now, and your lllleader— A chillld of books, you werrre... Aye, bookss are good... And a chillld of fffate... Heeee, I havve heard of you, <CHARNAME>, I havve heard yourrr name whisspered downn these stony halllls, wherrre the drip of waterrr mingllles with the gurgllling of the dead... They have wanted you dead, you know!~ */
  IF ~~ THEN REPLY #19919 /* ~Who are you and who are these shambling creatures that you surround yourself with?~ */ GOTO 1
  IF ~~ THEN REPLY #19918 /* ~Who has wanted me dead? Have you?~ */ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #19920 /* ~Who amm I, whoo indeed...? It has been so llllong since I had hideous fform and—and shape lllike you... Hah, in yourrr mind, I see things I recognize therrre, a place you calllled home once...~ */
  IF ~~ THEN REPLY #19921 /* ~Stop entering into my mind! I know not how you do it and I like it less!~ */ GOTO 2
  IF ~~ THEN REPLY #19922 /* ~Candlekeep. Until this springtide it was the only place I had ever known.~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #19923 /* ~You are so naive, chillld! I have been entering yourrr mind since the dayy you werrre born! There is anotherr here lllike you! He has walllked down this way many times and many morrre he shallll! He would be grateful to see you ensllaved under my power, he would rewarrrrd me handsomellly... Come, sewerkin, our guestss are guessts no more!~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",Enemy())
ActionOverride("SEWERF2",Enemy())
ActionOverride("SEWERF3",Enemy())
ActionOverride("SEWERF4",Enemy())
ActionOverride("SEWERF5",Enemy())
Enemy()
~ EXIT
  IF ~Global("X#XzarShlum1","GLOBAL",0)
InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#XzarShlum1","GLOBAL",1)~ EXTERN ~XZARJ~ 99
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #19924 /* ~Candlllekeep... I was therrre, wassn't I... Yes, when I wass in my younger forrrm, when I wasss a mage so proud offf my talllent, of my craffft... But I transcended that llong ago and llleft it behind... Rrrrgh, you havve awakenned an ollld hunger in me, a hunger for substance, chilllld! Come closer, that I may gorge myselllf on you.~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",Enemy())
ActionOverride("SEWERF2",Enemy())
ActionOverride("SEWERF3",Enemy())
ActionOverride("SEWERF4",Enemy())
ActionOverride("SEWERF5",Enemy())
Enemy()
~ EXIT
  IF ~Global("X#XzarShlum2","GLOBAL",0)
InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#XzarShlum2","GLOBAL",1)~ EXTERN ~XZARJ~ 102
END

IF ~~ THEN BEGIN 4 // from: 0.1
  SAY #19925 /* ~Who, Schlumpsha? No, not I, not yet, but yourrr death iss so tempting, now, so near... I can alllmost taste it on you, chilld.~ */
  IF ~~ THEN REPLY #19926 /* ~Speak not of my death, lest I bring you yours, instead! Now tell me my hunter's name that I may know him.~ */ GOTO 5
  IF ~~ THEN REPLY #19927 /* ~What death do you taste on me, Sewer King?~ */ GOTO 8
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #19928 /* ~You have met him before, you havve, maybe twice, even, and you shallll meet him four times befffore the ennd... Heee, you shalllll meet him four times beforrre the end, yes!~ */
  IF ~~ THEN REPLY #19929 /* ~Must I take his name from you by force?!~ */ GOTO 6
  IF ~~ THEN REPLY #19930 /* ~Thank you, Schlumpsha, you have told me enough.~ */ GOTO 7
  IF ~Global("X#GarSch","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#GarSch","GLOBAL",1)~ EXTERN ~GARRIJ~ 102
END

IF ~~ THEN BEGIN 6 // from: 8.0 5.0
  SAY #19931 /* ~It woulllld be a plleasure, chillld... Come, my sewerkin, it iss time to feed...~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",Enemy())
ActionOverride("SEWERF2",Enemy())
ActionOverride("SEWERF3",Enemy())
ActionOverride("SEWERF4",Enemy())
ActionOverride("SEWERF5",Enemy())
Enemy()
~ EXIT
  IF ~Global("X#XzarShlum3","GLOBAL",0)
InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#XzarShlum3","GLOBAL",1)~ EXTERN ~XZARJ~ 105
END

IF ~~ THEN BEGIN 7 // from: 8.1 5.1
  SAY #19932 /* ~Heee, I havve tollld you enough but I have not tolld you alllll... The sewersss may cllaim you, <CHARNAME>, but I shalll not.~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",EscapeArea())
ActionOverride("SEWERF2",EscapeArea())
ActionOverride("SEWERF3",EscapeArea())
ActionOverride("SEWERF4",EscapeArea())
ActionOverride("SEWERF5",EscapeArea())
EscapeArea()
~ EXIT
  IF ~Global("X#XzarShlum4","GLOBAL",0)
InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#XzarShlum4","GLOBAL",1)~ EXTERN ~XZARJ~ 108
END

IF ~~ THEN BEGIN 8 // from: 4.1
  SAY #19933 /* ~A death foretollld, a death pllanned forrr by the gods themselllves, heeee! But I'lll not telll you more, not Schlumpsha, not the faithfulll sewerkin, nooo...~ */
  IF ~~ THEN REPLY #19934 /* ~Must I take the nature of my fate from you by force, Sewer King?~ */ GOTO 6
  IF ~~ THEN REPLY #19935 /* ~Thank you, Schlumpsha. Your prophecies are harsh but their truth is not immutable. I shall face them as I can.~ */ GOTO 7
END

IF ~  False()
~ THEN BEGIN 9 // from:
  SAY #19936 /* ~Go chillld, and face yourrr destiny...~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 10 // from:
  SAY #45736 /* ~I... sssensse... mage... necrromancerrr... ssspeak, then.~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",Enemy())
ActionOverride("SEWERF2",Enemy())
ActionOverride("SEWERF3",Enemy())
ActionOverride("SEWERF4",Enemy())
ActionOverride("SEWERF5",Enemy())
Enemy()
~ EXIT
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 12
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~XZARJ~ 101
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 11
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~XZARJ~ 100
END

IF ~~ THEN BEGIN 11 // from: 10.3
  SAY #45738 /* ~Heehee. Admirrration isss rreal... I hurrt... Jjoin, and you willll sssee.~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",Enemy())
ActionOverride("SEWERF2",Enemy())
ActionOverride("SEWERF3",Enemy())
ActionOverride("SEWERF4",Enemy())
ActionOverride("SEWERF5",Enemy())
Enemy()
~ EXIT
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 12
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~XZARJ~ 101
END

IF ~~ THEN BEGIN 12 // from: 11.1 10.1
  SAY #45740 /* ~Sssecret cannot be sshared with those of forrrm... but... yourrr thoughts ssspin... cause Ssschlumpssha grreat pain... lllike pink, vorpall bunny rrrabbits... cannot endurrre... AARRGH! I musst END you now!~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",Enemy())
ActionOverride("SEWERF2",Enemy())
ActionOverride("SEWERF3",Enemy())
ActionOverride("SEWERF4",Enemy())
ActionOverride("SEWERF5",Enemy())
Enemy()
SetGlobal("X#XzarShlum","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 13 // from:
  SAY #45736 /* ~I... sssensse... mage... necrromancerrr... ssspeak, then.~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",Enemy())
ActionOverride("SEWERF2",Enemy())
ActionOverride("SEWERF3",Enemy())
ActionOverride("SEWERF4",Enemy())
ActionOverride("SEWERF5",Enemy())
Enemy()
~ EXIT
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 15
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~XZARJ~ 104
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 14
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~XZARJ~ 103
END

IF ~~ THEN BEGIN 14 // from: 13.3
  SAY #45738 /* ~Heehee. Admirrration isss rreal... I hurrt... Jjoin, and you willll sssee.~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",Enemy())
ActionOverride("SEWERF2",Enemy())
ActionOverride("SEWERF3",Enemy())
ActionOverride("SEWERF4",Enemy())
ActionOverride("SEWERF5",Enemy())
Enemy()
~ EXIT
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 15
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~XZARJ~ 104
END

IF ~~ THEN BEGIN 15 // from: 14.1 13.1
  SAY #45740 /* ~Sssecret cannot be sshared with those of forrrm... but... yourrr thoughts ssspin... cause Ssschlumpssha grreat pain... lllike pink, vorpall bunny rrrabbits... cannot endurrre... AARRGH! I musst END you now!~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",Enemy())
ActionOverride("SEWERF2",Enemy())
ActionOverride("SEWERF3",Enemy())
ActionOverride("SEWERF4",Enemy())
ActionOverride("SEWERF5",Enemy())
Enemy()
SetGlobal("X#XzarShlum","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 16 // from:
  SAY #45736 /* ~I... sssensse... mage... necrromancerrr... ssspeak, then.~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",Enemy())
ActionOverride("SEWERF2",Enemy())
ActionOverride("SEWERF3",Enemy())
ActionOverride("SEWERF4",Enemy())
ActionOverride("SEWERF5",Enemy())
Enemy()
~ EXIT
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 18
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~XZARJ~ 107
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 17
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~XZARJ~ 106
END

IF ~~ THEN BEGIN 17 // from: 16.3
  SAY #45738 /* ~Heehee. Admirrration isss rreal... I hurrt... Jjoin, and you willll sssee.~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",Enemy())
ActionOverride("SEWERF2",Enemy())
ActionOverride("SEWERF3",Enemy())
ActionOverride("SEWERF4",Enemy())
ActionOverride("SEWERF5",Enemy())
Enemy()
~ EXIT
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 18
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~XZARJ~ 107
END

IF ~~ THEN BEGIN 18 // from: 17.1 16.1
  SAY #45740 /* ~Sssecret cannot be sshared with those of forrrm... but... yourrr thoughts ssspin... cause Ssschlumpssha grreat pain... lllike pink, vorpall bunny rrrabbits... cannot endurrre... AARRGH! I musst END you now!~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",Enemy())
ActionOverride("SEWERF2",Enemy())
ActionOverride("SEWERF3",Enemy())
ActionOverride("SEWERF4",Enemy())
ActionOverride("SEWERF5",Enemy())
Enemy()
SetGlobal("X#XzarShlum","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 19 // from:
  SAY #45736 /* ~I... sssensse... mage... necrromancerrr... ssspeak, then.~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",EscapeArea())
ActionOverride("SEWERF2",EscapeArea())
ActionOverride("SEWERF3",EscapeArea())
ActionOverride("SEWERF4",EscapeArea())
ActionOverride("SEWERF5",EscapeArea())
EscapeArea()
~ EXIT
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 21
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~XZARJ~ 110
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 20
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~XZARJ~ 109
END

IF ~~ THEN BEGIN 20 // from: 19.3
  SAY #45738 /* ~Heehee. Admirrration isss rreal... I hurrt... Jjoin, and you willll sssee.~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",EscapeArea())
ActionOverride("SEWERF2",EscapeArea())
ActionOverride("SEWERF3",EscapeArea())
ActionOverride("SEWERF4",EscapeArea())
ActionOverride("SEWERF5",EscapeArea())
EscapeArea()
~ EXIT
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN GOTO 21
  IF ~  InParty("xzar")
InMyArea("xzar")
!StateCheck("xzar",CD_STATE_NOTVALID)
~ THEN EXTERN ~XZARJ~ 110
END

IF ~~ THEN BEGIN 21 // from: 20.1 19.1
  SAY #45741 /* ~Sssecret cannot be sshared with those of forrrm... but... yourrr thoughts ssspin...~ */
  IF ~~ THEN DO ~ActionOverride("SEWERF1",EscapeArea())
ActionOverride("SEWERF2",EscapeArea())
ActionOverride("SEWERF3",EscapeArea())
ActionOverride("SEWERF4",EscapeArea())
ActionOverride("SEWERF5",EscapeArea())
EscapeArea()
SetGlobal("X#XzarShlum","GLOBAL",1)
~ EXIT
END
